/*
 * Copyright 2002-2015 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.springframework.ldap.itest.ldap321;

import static org.junit.Assert.*;

import java.util.Map;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.test.context.transaction.TransactionConfiguration;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author Rob Winch
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration("classpath:ldap321.xml")
@TransactionConfiguration(transactionManager = "txManager",defaultRollback = true)
@Transactional
public class Ldap321Test{
    @Autowired
    private RoleRepo roleRepo;

    @Test
    public void testQueryRoleMap() throws Exception {
        Map<String,String> roleMap=roleRepo.queryRoleMap();
        assertNotNull(roleMap);

        for(String roleName:roleMap.keySet()){
            System.out.println(roleName+":"+ roleMap.get(roleName));
        }
    }
}
